Loading...
Searching...
No Matches
TelnetClient::TelnetConnection Class Reference

class for Telnet connections; returns an object of class TelnetClient for connecting to telnet sessions More...

Inherits ConnectionProvider::AbstractConnectionWithInfo.

## Public Member Functions

| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the RestConnection connection object
*hash< auto > | getRuntimeOptions ()
| returns runtime options
string | getType ()
| returns `"telnet"`

## Public Attributes

const | ConnectionScheme
| Connection entry info.

## Protected Member Functions

hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
TelnetClient | getImpl (bool connect=True, *hash rtopts)
| returns an TelnetClient object

## Detailed Description

class for Telnet connections; returns an object of class TelnetClient for connecting to telnet sessions

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  TelnetClient 1.3

## Member Function Documentation

## constructor()

TelnetClient::TelnetConnection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = `{}`,
|  | hash | options = `{}`
| ) |  |

creates the RestConnection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## getImpl()

TelnetClient TelnetClient::TelnetConnection::getImpl | ( | bool | connect = `True`,
|  | *hash | rtopts
| ) |  |

protected

returns an TelnetClient object

Parameters

  connect | if True, then TelnetClient::connect() is called

  rtopts

  supports the following runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging

Returns
  an TelnetClient object

## getRuntimeOptions()

*hash< auto > TelnetClient::TelnetConnection::getRuntimeOptions | ( |  | ) |

returns runtime options

Returns
  a hash with the following keys reflecting support for the corresponding runtime options in getImpl() for connection logging:
  - `"log"`: a closure accepting a single string for logging
  - `"dbglog"`: a closure taking a single string for detailed technical connection logging